Page MenuHomePhabricator

Upload cassandra-tools-wmf Debian package to apt.w.o
Closed, ResolvedPublic

Event Timeline

Eevans created this task.Nov 8 2016, 10:11 PM

@Eevans I can take care of that, though I'm not seeing the debian branch on the gerrit repo yet?

Eevans added a comment.Nov 9 2016, 6:46 PM

@Eevans I can take care of that, though I'm not seeing the debian branch on the gerrit repo yet?

That's odd; It shows up in diffusion here.

I can also check out the branch from a fresh clone.

$ cd /tmp/
eevans@agenor:/tmp$ git clone ssh://eevans@gerrit.wikimedia.org:29418/operations/debs/cassandra-tools-wmf
Cloning into 'cassandra-tools-wmf'...
remote: Counting objects: 81, done
remote: Finding sources: 100% (28/28)
remote: Getting sizes: 100% (14/14)
remote: Compressing objects: 100% (9198/9198)
remote: Total 303 (delta 5), reused 292 (delta 5)
Receiving objects: 100% (303/303), 52.63 KiB | 0 bytes/s, done.
Resolving deltas: 100% (177/177), done.
Checking connectivity... done.
eevans@agenor:/tmp$ cd cassandra-tools-wmf/
eevans@agenor:/tmp/cassandra-tools-wmf(master)$ git br
* master
eevans@agenor:/tmp/cassandra-tools-wmf(master)$ git co -b debian origin/debian 
Branch debian set up to track remote branch debian from origin.
Switched to a new branch 'debian'
eevans@agenor:/tmp/cassandra-tools-wmf(debian)$ git show
commit 60d482a4d748bd87afd99d4abc6673c4975af636
Merge: 9088af8 3fe9550
Author: Eric Evans <eevans@wikimedia.org>
Date:   Tue Nov 8 15:43:35 2016 -0600

    Merge master into debian

eevans@agenor:/tmp/cassandra-tools-wmf(debian)$

That's odd; It shows up in diffusion here.
I can also check out the branch from a fresh clone.

Indeed, it was a case of PEBKAC :(
I take it we're going to need the package available only for jessie internally?

Mentioned in SAL (#wikimedia-operations) [2016-11-09T19:12:06Z] <godog> upload cassandra-tools-wmf 1.0.0-1 to jessie-wikimedia on carbon - T150304

Eevans added a comment.Nov 9 2016, 7:39 PM

I take it we're going to need the package available only for jessie internally?

I'm not sure what other options exist; Yes? :)

Eevans closed this task as Resolved.Nov 9 2016, 8:26 PM
Eevans reassigned this task from Eevans to fgiunchedi.